#!/usr/bin/perl -w

use strict;
use SOAP::Lite;
use XML::RSS;

my $googleSearch = 
      SOAP::Lite -> service('http://api.google.com/GoogleSearch.wsdl');
my $key  = "********************************";  ### CZXL[

my $query = "RSS Perl";  # P

my $result = $googleSearch 
             -> doGoogleSearch(
                    $key,      $query,  0,    10,      "false",   
                    "countryJP", "false",   "lang_jp",  "utf-8",  "utf-8");

my $rss = new XML::RSS (version => '1.0');

$rss->channel( title => "Test of Google API",
               link  => "http://nlp.dse.ibaraki.ac.jp/~shinnou/",
               description => "Google search for ($query)",
               language => "ja");

foreach my $ele (@{$result->{'resultElements'}}) {
    $rss->add_item(
                   title => $ele->{'title'},
                   description => $ele->{'snippet'},
                   link  => $ele->{'URL'});
}

$rss->save("google-api.rdf");
#print $rss->as_string;   # Wo͂ɏoꍇ
