#!/usr/bin/perl -w

use strict;
use Net::MovableType;
use Encode qw/ from_to /;

my $mt = new Net::MovableType('http://nlp.dse.ibaraki.ac.jp/~shinnou/mt/rsd.xml');
$mt->username('shinnou');   #  username ܂
$mt->password('*********'); #  password ܂

my $entries = $mt->getRecentPostTitles(10);
for my $e (@$entries) {
    my $title = $e->{'title'}; 
    utf8::encode($title);  
    from_to($title,'utf-8','shift-jis');
    printf("%3d   %s\n",$e->{'postid'},$title);
}
