#!/usr/bin/perl -w

use strict;
use LWP::Simple qw(!head);
use XML::RSS;
use CGI qw(:standard);

binmode STDOUT, ":utf8";  #<---- ǉ

my $url = shift;
my $content = get($url);

my $rss = new XML::RSS;
$rss->parse($content);

print start_html(-encoding =>'utf-8', -lang =>'jp'),"\n";

print h1(a({-href=>$rss->{'channel'}->{'link'}},
           $rss->{'channel'}->{'title'}));

print hr;
print "\n<ul>\n";

foreach my $item (@{$rss->{'items'}}) {
    print li(a({-href=>$item->{'link'}},$item->{'title'})),"\n";
}

print "</ul>\n";
print end_html;
