#!/usr/bin/perl -w

use strict;
use XML::RSS;
use LWP::Simple;

use encoding "shiftjis";

my $url = shift;
my $content = get($url);

my $rss = new XML::RSS;
$rss->parse($content);

print "=== Channel ===\n",
    "Title: ",$rss->{'channel'}->{'title'},"\n",
    "Desc:  ",$rss->{'channel'}->{'description'},"\n",
    "Link:  ",$rss->{'channel'}->{'link'},"\n";

foreach my $item (@{$rss->{'items'}}) {
    print "  --- Item ---\n",
    "Title: ",$item->{'title'},"\n",
    "Desc:  ",$item->{'description'},"\n",
    "Link:  ",$item->{'link'},"\n";
}
