#!/usr/bin/perl -w

use strict;
use LWP::Simple;
use XML::RSSLite;

my $url = shift;
my $content = get($url);

my %results = ();
parseRSS( \%results, \$content );

my $channel = $results{'channel'};
print "=== Channel ===\n",
    "Title: $channel->{'title'}\n",
    "Desc:  $channel->{'description'}\n",
    "Link:  $channel->{'link'}\n";

for my $item (@{$results{'items'}}) {
  print "  --- Item ---\n",
        "  Title: $item->{'title'}\n",
        "  Desc:  $item->{'description'}\n",
        "  Link:  $item->{'link'}\n\n";
}
